Loading...
Searching...
No Matches
Dune::DenseMatVecTraits< FieldVector< K, SIZE > > Struct Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/fvector.hh>`

Inheritance diagram for Dune::DenseMatVecTraits< FieldVector< K, SIZE > >:

## Public Types

typedef FieldVector< K, SIZE > | derived_type
typedef std::array< K, SIZE > | container_type
typedef K | value_type
typedef container_type::size_type | size_type

## Member Typedef Documentation

## container_type

template<class K, int SIZE>

typedef std::array<K,SIZE> Dune::DenseMatVecTraits< FieldVector< K, SIZE > >::container_type

## derived_type

template<class K, int SIZE>

typedef FieldVector<K,SIZE> Dune::DenseMatVecTraits< FieldVector< K, SIZE > >::derived_type

## size_type

template<class K, int SIZE>

typedef container_type::size_type Dune::DenseMatVecTraits< FieldVector< K, SIZE > >::size_type

## value_type

template<class K, int SIZE>

typedef K Dune::DenseMatVecTraits< FieldVector< K, SIZE > >::value_type

The documentation for this struct was generated from the following file:

- fvector.hh